
From: Takashi Iwai <tiwai@suse.de>

Wil Reichert wrote:
> 
> I get the following OOPS when loading the snd-ice1724 module for my Envy 24HT card.  Works fine if I build all the alsa code straight into the kernel.
> 

does the attached patch fix the problem?



 25-akpm/sound/pci/ice1712/ak4xxx.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN sound/pci/ice1712/ak4xxx.c~ak4xxx-fix sound/pci/ice1712/ak4xxx.c
--- 25/sound/pci/ice1712/ak4xxx.c~ak4xxx-fix	Thu Jul 17 14:51:35 2003
+++ 25-akpm/sound/pci/ice1712/ak4xxx.c	Thu Jul 17 14:51:35 2003
@@ -116,8 +116,8 @@ static void snd_ice1712_akm4xxx_write(ak
 /*
  * initialize the akm4xxx_t record with the template
  */
-int __devinit snd_ice1712_akm4xxx_init(akm4xxx_t *ak, const akm4xxx_t *temp,
-				       const struct snd_ak4xxx_private *_priv, ice1712_t *ice)
+int snd_ice1712_akm4xxx_init(akm4xxx_t *ak, const akm4xxx_t *temp,
+			     const struct snd_ak4xxx_private *_priv, ice1712_t *ice)
 {
 	struct snd_ak4xxx_private *priv;
 
@@ -139,7 +139,7 @@ int __devinit snd_ice1712_akm4xxx_init(a
 	return 0;
 }
 
-void __devexit snd_ice1712_akm4xxx_free(ice1712_t *ice)
+void snd_ice1712_akm4xxx_free(ice1712_t *ice)
 {
 	unsigned int akidx;
 	if (ice->akm == NULL)
@@ -155,7 +155,7 @@ void __devexit snd_ice1712_akm4xxx_free(
 /*
  * build AK4xxx controls
  */
-int __devinit snd_ice1712_akm4xxx_build_controls(ice1712_t *ice)
+int snd_ice1712_akm4xxx_build_controls(ice1712_t *ice)
 {
 	unsigned int akidx;
 	int err;

_
